<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__sysclk__trim" kind="group">
    <compoundname>group_sysclk_trim</compoundname>
    <title>Clock Trim (ILO, PILO)</title>
    <innergroup refid="group__group__sysclk__trim__funcs">Functions</innergroup>
    <briefdescription>
<para>These functions perform a single trim operation on the ILO or PILO. </para>    </briefdescription>
    <detaileddescription>
<para>Each function's parameter is the actual frequency of the clock. To measure the frequency, use the functions described in the <ref kindref="compound" refid="group__group__sysclk__calclk">Clock Measurement</ref> API.</para><para>To trim the clock as close as possible to the target frequency, multiple calls to the trim function may be needed. A typical usage example is to:<orderedlist>
<listitem><para>Call the clock measurement functions to get the actual frequency of the clock</para></listitem><listitem><para>Call the trim function, passing in the measured frequency</para></listitem><listitem><para>Repeat the above until the trim function reports that the clock is trimmed to within limits. </para></listitem></orderedlist>
</para>    </detaileddescription>
  </compounddef>
</doxygen>